Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5099)
@@ -314,5 +314,5 @@
        enddo
           
-         ierr = NF90_GET_VAR(nid,var3didin(1),lat)
+         ierr = nf90_get_var(nid,var3didin(1),lat)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -321,5 +321,5 @@
 !         write(*,*)'lecture lat ok',lat
 
-         ierr = NF90_GET_VAR(nid,var3didin(2),lon)
+         ierr = nf90_get_var(nid,var3didin(2),lon)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -328,5 +328,5 @@
 !         write(*,*)'lecture lon ok',lon
  
-         ierr = NF90_GET_VAR(nid,var3didin(3),alt)
+         ierr = nf90_get_var(nid,var3didin(3),alt)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -335,5 +335,5 @@
 !          write(*,*)'lecture alt ok',alt
  
-         ierr = NF90_GET_VAR(nid,var3didin(4),phis)
+         ierr = nf90_get_var(nid,var3didin(4),phis)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -342,5 +342,5 @@
 !          write(*,*)'lecture phis ok',phis
           
-         ierr = NF90_GET_VAR(nid,var3didin(5),T)
+         ierr = nf90_get_var(nid,var3didin(5),T)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -349,5 +349,5 @@
 !         write(*,*)'lecture T ok'
 
-         ierr = NF90_GET_VAR(nid,var3didin(6),q)
+         ierr = nf90_get_var(nid,var3didin(6),q)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -361,5 +361,5 @@
        enddo
        enddo
-         ierr = NF90_GET_VAR(nid,var3didin(7),u)
+         ierr = nf90_get_var(nid,var3didin(7),u)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -368,5 +368,5 @@
 !         write(*,*)'lecture u ok'
 
-         ierr = NF90_GET_VAR(nid,var3didin(8),v)
+         ierr = nf90_get_var(nid,var3didin(8),v)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -375,5 +375,5 @@
 !         write(*,*)'lecture v ok'
 
-         ierr = NF90_GET_VAR(nid,var3didin(9),omega)
+         ierr = nf90_get_var(nid,var3didin(9),omega)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -388,5 +388,5 @@
        enddo
 
-         ierr = NF90_GET_VAR(nid,var3didin(10),div)
+         ierr = nf90_get_var(nid,var3didin(10),div)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -395,5 +395,5 @@
 !         write(*,*)'lecture div ok'
 
-         ierr = NF90_GET_VAR(nid,var3didin(11),T_adv_h)
+         ierr = nf90_get_var(nid,var3didin(11),T_adv_h)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -409,5 +409,5 @@
 
 
-         ierr = NF90_GET_VAR(nid,var3didin(12),T_adv_v)
+         ierr = nf90_get_var(nid,var3didin(12),T_adv_v)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -422,5 +422,5 @@
        enddo
 
-         ierr = NF90_GET_VAR(nid,var3didin(13),q_adv_h)
+         ierr = nf90_get_var(nid,var3didin(13),q_adv_h)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -436,5 +436,5 @@
 
 
-         ierr = NF90_GET_VAR(nid,var3didin(14),q_adv_v)
+         ierr = nf90_get_var(nid,var3didin(14),q_adv_v)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -450,35 +450,35 @@
 
 
-         ierr = NF90_GET_VAR(nid,var3didin(15),s)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(16),s_adv_h)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(17),s_adv_v)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(18),p_srf_aver)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(19),p_srf_center)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(20),T_srf)
+         ierr = nf90_get_var(nid,var3didin(15),s)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(16),s_adv_h)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(17),s_adv_v)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(18),p_srf_aver)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(19),p_srf_center)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(20),T_srf)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -530,6 +530,6 @@
          endif
 
-         ierr = NF90_GET_VAR(nid,timevar,time)
-         ierr = NF90_GET_VAR(nid,levvar,lev)
+         ierr = nf90_get_var(nid,timevar,time)
+         ierr = nf90_get_var(nid,levvar,lev)
 
        return
@@ -943,5 +943,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
@@ -1462,5 +1462,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
@@ -1554,5 +1554,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
@@ -1696,5 +1696,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
@@ -1809,5 +1809,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day 
 ! day1: first day of the simulation
@@ -1896,5 +1896,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
@@ -2279,5 +2279,5 @@
 !      call catchaxis(nid,ntime,nlevel,time,z,ierr)
  
-         ierr = NF90_GET_VAR(nid,var3didin(1),zz)
+         ierr = nf90_get_var(nid,var3didin(1),zz)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2286,5 +2286,5 @@
 !          write(*,*)'lecture z ok',zz
 
-         ierr = NF90_GET_VAR(nid,var3didin(2),thl)
+         ierr = nf90_get_var(nid,var3didin(2),thl)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2293,5 +2293,5 @@
 !          write(*,*)'lecture thl ok',thl
 
-         ierr = NF90_GET_VAR(nid,var3didin(3),qt)
+         ierr = nf90_get_var(nid,var3didin(3),qt)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2300,5 +2300,5 @@
 !          write(*,*)'lecture qt ok',qt
  
-         ierr = NF90_GET_VAR(nid,var3didin(4),u)
+         ierr = nf90_get_var(nid,var3didin(4),u)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2307,5 +2307,5 @@
 !          write(*,*)'lecture u ok',u
 
-         ierr = NF90_GET_VAR(nid,var3didin(5),v)
+         ierr = nf90_get_var(nid,var3didin(5),v)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2314,5 +2314,5 @@
 !          write(*,*)'lecture v ok',v
 
-         ierr = NF90_GET_VAR(nid,var3didin(6),tke)
+         ierr = nf90_get_var(nid,var3didin(6),tke)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2321,5 +2321,5 @@
 !          write(*,*)'lecture tke ok',tke
 
-         ierr = NF90_GET_VAR(nid,var3didin(7),ug)
+         ierr = nf90_get_var(nid,var3didin(7),ug)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2328,5 +2328,5 @@
 !          write(*,*)'lecture ug ok',ug
 
-         ierr = NF90_GET_VAR(nid,var3didin(8),vg)
+         ierr = nf90_get_var(nid,var3didin(8),vg)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2335,5 +2335,5 @@
 !          write(*,*)'lecture vg ok',vg
 
-         ierr = NF90_GET_VAR(nid,var3didin(9),wls)
+         ierr = nf90_get_var(nid,var3didin(9),wls)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2342,5 +2342,5 @@
 !          write(*,*)'lecture wls ok',wls
 
-         ierr = NF90_GET_VAR(nid,var3didin(10),dqtdx)
+         ierr = nf90_get_var(nid,var3didin(10),dqtdx)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2349,5 +2349,5 @@
 !          write(*,*)'lecture dqtdx ok',dqtdx
 
-         ierr = NF90_GET_VAR(nid,var3didin(11),dqtdy)
+         ierr = nf90_get_var(nid,var3didin(11),dqtdy)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2356,5 +2356,5 @@
 !          write(*,*)'lecture dqtdy ok',dqtdy
 
-         ierr = NF90_GET_VAR(nid,var3didin(12),dqtdt)
+         ierr = nf90_get_var(nid,var3didin(12),dqtdt)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2363,5 +2363,5 @@
 !          write(*,*)'lecture dqtdt ok',dqtdt
 
-         ierr = NF90_GET_VAR(nid,var3didin(13),thl_rad)
+         ierr = nf90_get_var(nid,var3didin(13),thl_rad)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2549,5 +2549,5 @@
 !      call catchaxis(nid,ntime,nlevel,time,z,ierr)
  
-         ierr = NF90_GET_VAR(nid,var3didin(1),zz)
+         ierr = nf90_get_var(nid,var3didin(1),zz)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2556,5 +2556,5 @@
 !          write(*,*)'lecture zz ok',zz
  
-         ierr = NF90_GET_VAR(nid,var3didin(11),pres)
+         ierr = nf90_get_var(nid,var3didin(11),pres)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2563,5 +2563,5 @@
 !          write(*,*)'lecture pres ok',pres
 
-         ierr = NF90_GET_VAR(nid,var3didin(12),th)
+         ierr = nf90_get_var(nid,var3didin(12),th)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2573,5 +2573,5 @@
            enddo
 
-         ierr = NF90_GET_VAR(nid,var3didin(13),qv)
+         ierr = nf90_get_var(nid,var3didin(13),qv)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2580,5 +2580,5 @@
 !          write(*,*)'lecture qv ok',qv
  
-         ierr = NF90_GET_VAR(nid,var3didin(14),u)
+         ierr = nf90_get_var(nid,var3didin(14),u)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2587,5 +2587,5 @@
 !          write(*,*)'lecture u ok',u
 
-         ierr = NF90_GET_VAR(nid,var3didin(15),v)
+         ierr = nf90_get_var(nid,var3didin(15),v)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2594,5 +2594,5 @@
 !          write(*,*)'lecture v ok',v
 
-         ierr = NF90_GET_VAR(nid,var3didin(16),o3)
+         ierr = nf90_get_var(nid,var3didin(16),o3)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2601,5 +2601,5 @@
 !          write(*,*)'lecture o3 ok',o3
 
-         ierr = NF90_GET_VAR(nid,var3didin(2),shf)
+         ierr = nf90_get_var(nid,var3didin(2),shf)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2608,5 +2608,5 @@
 !          write(*,*)'lecture shf ok',shf
 
-         ierr = NF90_GET_VAR(nid,var3didin(3),lhf)
+         ierr = nf90_get_var(nid,var3didin(3),lhf)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2615,5 +2615,5 @@
 !          write(*,*)'lecture lhf ok',lhf
 
-         ierr = NF90_GET_VAR(nid,var3didin(4),lwup)
+         ierr = nf90_get_var(nid,var3didin(4),lwup)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2622,5 +2622,5 @@
 !          write(*,*)'lecture lwup ok',lwup
 
-         ierr = NF90_GET_VAR(nid,var3didin(5),swup)
+         ierr = nf90_get_var(nid,var3didin(5),swup)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2629,5 +2629,5 @@
 !          write(*,*)'lecture swup ok',swup
 
-         ierr = NF90_GET_VAR(nid,var3didin(6),tg)
+         ierr = nf90_get_var(nid,var3didin(6),tg)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2636,5 +2636,5 @@
 !          write(*,*)'lecture tg ok',tg
 
-         ierr = NF90_GET_VAR(nid,var3didin(7),ustar)
+         ierr = nf90_get_var(nid,var3didin(7),ustar)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2643,5 +2643,5 @@
 !          write(*,*)'lecture ustar ok',ustar
 
-         ierr = NF90_GET_VAR(nid,var3didin(8),psurf)
+         ierr = nf90_get_var(nid,var3didin(8),psurf)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2650,5 +2650,5 @@
 !          write(*,*)'lecture psurf ok',psurf
 
-         ierr = NF90_GET_VAR(nid,var3didin(9),ug)
+         ierr = nf90_get_var(nid,var3didin(9),ug)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2657,5 +2657,5 @@
 !          write(*,*)'lecture ug ok',ug
 
-         ierr = NF90_GET_VAR(nid,var3didin(10),vg)
+         ierr = nf90_get_var(nid,var3didin(10),vg)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2664,5 +2664,5 @@
 !          write(*,*)'lecture vg ok',vg
 
-         ierr = NF90_GET_VAR(nid,var3didin(17),hadvt)
+         ierr = nf90_get_var(nid,var3didin(17),hadvt)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2671,5 +2671,5 @@
 !          write(*,*)'lecture hadvt ok',hadvt
 
-         ierr = NF90_GET_VAR(nid,var3didin(18),hadvq)
+         ierr = nf90_get_var(nid,var3didin(18),hadvq)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2678,5 +2678,5 @@
 !          write(*,*)'lecture hadvq ok',hadvq
 
-         ierr = NF90_GET_VAR(nid,var3didin(19),hadvu)
+         ierr = nf90_get_var(nid,var3didin(19),hadvu)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2685,5 +2685,5 @@
 !          write(*,*)'lecture hadvu ok',hadvu
 
-         ierr = NF90_GET_VAR(nid,var3didin(20),hadvv)
+         ierr = nf90_get_var(nid,var3didin(20),hadvv)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2692,5 +2692,5 @@
 !          write(*,*)'lecture hadvv ok',hadvv
 
-         ierr = NF90_GET_VAR(nid,var3didin(21),w)
+         ierr = nf90_get_var(nid,var3didin(21),w)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2699,5 +2699,5 @@
 !          write(*,*)'lecture w ok',w
 
-         ierr = NF90_GET_VAR(nid,var3didin(22),omega)
+         ierr = nf90_get_var(nid,var3didin(22),omega)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
@@ -2844,89 +2844,89 @@
 !      call catchaxis(nid,ntime,nlevel,time,z,ierr)
  
-         ierr = NF90_GET_VAR(nid,var3didin(1),zz_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(2),depth_sn)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(3),ug_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(4),vg_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(5),pf_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(6),th_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(7),t_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(8),qv_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(9),u_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(10),v_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(11),hadvt_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(12),hadvq_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(14),tsnow)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
- 
-         ierr = NF90_GET_VAR(nid,var3didin(15),snow_dens)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
-            stop "getvarup"
-         endif
-
-         ierr = NF90_GET_VAR(nid,var3didin(16),tg)
+         ierr = nf90_get_var(nid,var3didin(1),zz_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(2),depth_sn)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(3),ug_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(4),vg_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(5),pf_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(6),th_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(7),t_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(8),qv_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(9),u_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(10),v_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(11),hadvt_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(12),hadvq_i)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(14),tsnow)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+ 
+         ierr = nf90_get_var(nid,var3didin(15),snow_dens)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
+            stop "getvarup"
+         endif
+
+         ierr = nf90_get_var(nid,var3didin(16),tg)
          if(ierr/=nf90_noerr) then
             write(*,*) nf90_strerror(ierr)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: 1D_interp_cases.h 3537 2019-06-19 08:29:16Z fhourdin $
-!
+
 !---------------------------------------------------------------------
 ! Forcing_LES case: constant dq_dyn
@@ -552,5 +552,5 @@
 
        alpha = rd*temp(l)*(1.+(rv/rd-1.)*q(l,1))/play(l)
-!
+
 !      d_t_adv(l) = 0.0
 !      d_q_adv(l,1) = 0.0
@@ -634,5 +634,5 @@
 
        alpha = rd*temp(l)*(1.+(rv/rd-1.)*q(l,1))/play(l)
-!
+
 !      d_t_adv(l) = 0.0
 !      d_q_adv(l,1) = 0.0
@@ -813,5 +813,5 @@
        flat=lat_prof_cas
       ENDIF
-!
+
       IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
@@ -841,5 +841,5 @@
      &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
      &       ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                                           &
-!
+
      &       ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
      &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
@@ -864,5 +864,5 @@
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
      &         ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
-!
+
      &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
      &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas,w_mod_cas,omega_mod_cas                         &
@@ -1024,5 +1024,5 @@
        print *,'1D_interp: sens,flat',fsens,flat
       ENDIF
-!
+
       IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: 1D_read_forc_cases.h 3537 2019-06-19 08:29:16Z fhourdin $
-!
+
 !----------------------------------------------------------------------
 ! forcing_les = .T. : Impose a constant cooling 
@@ -394,5 +394,5 @@
 ! vertical interpolation using TOGA interpolation routine:
 !      write(*,*)'avant interp vert', t_proftwp
-!
+
 !     CALL interp_dice_time(daytime,day1,annee_ref
 !    i             ,year_ini_dice,day_ju_ini_dice,nt_dice,dt_dice
@@ -508,5 +508,5 @@
 ! vertical interpolation using TOGA interpolation routine:
 !      write(*,*)'avant interp vert', t_proftwp
-!
+
 !     CALL interp_dice_time(daytime,day1,annee_ref
 !    i             ,year_ini_dice,day_ju_ini_dice,nt_dice,dt_dice
@@ -542,8 +542,6 @@
        ug(l)=ug_mod(l)
        vg(l)=vg_mod(l)
-       
-!
+
 !	tg=tsurf
-!       
 
        print *,'***** tsurf=',tsurf
@@ -605,5 +603,5 @@
 ! For this case, profiles are given for two vertical resolution
 ! 19 or 40 levels
-!
+
 ! Comment from: http://www.knmi.nl/samenw/eurocs/ARM/profiles.html
 ! Note that the initial profiles contain no liquid water! 
@@ -932,5 +930,5 @@
      &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
      &       ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                                           &
-!
+
      &       ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
      &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
@@ -955,5 +953,5 @@
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
      &         ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
-!
+
      &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
      &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas,w_mod_cas,omega_mod_cas                         &
@@ -1002,5 +1000,5 @@
        flat=-1.*lat_prof_cas
        ENDIF
-!
+
        IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
@@ -1031,5 +1029,5 @@
      &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
      &       ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                                           &
-!
+
      &       ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
      &       ,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas                              &
@@ -1054,5 +1052,5 @@
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
      &         ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                    &
-!
+
      &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
      &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas,w_mod_cas,omega_mod_cas                         &
@@ -1102,5 +1100,5 @@
        flat=-1.*lat_prof_cas
        ENDIF
-!
+
        IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
